# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile Class Reference

`#include <STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile.hxx>`

## Public Member Functions

| STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile (const Handle(StepShape_ShapeDefinitionRepresentation)&K, const Handle(STEPCAFControl_ExternFile)&I, const TCollection_MapNodePtr &n)
Handle_StepShape_ShapeDefinitionRepresentation & | Key () const
Handle_STEPCAFControl_ExternFile & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepShape_ShapeDefinitionRepresentation | myKey
Handle_STEPCAFControl_ExternFile | myValue

## Constructor & Destructor Documentation

STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile::STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile | ( | const Handle(StepShape_ShapeDefinitionRepresentation)& | K,
|  | const Handle(STEPCAFControl_ExternFile)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile::Handle | ( | Standard_Type |  | ) | const

Handle_StepShape_ShapeDefinitionRepresentation& STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile::Key | ( |  | ) | const

Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile::Value | ( |  | ) | const

## Field Documentation

Handle_StepShape_ShapeDefinitionRepresentation STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile::myKey `[private]`

Handle_STEPCAFControl_ExternFile STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile::myValue `[private]`

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapNodeOfDataMapOfSDRExternFile.hxx